#!/usr/bin/awk -f
#! -*- coding:utf-8; mode:awk; -*-


BEGIN {
    blankcount = 0;
}

/.*\\\s+/ {
    printf("warning: backslash followed by whitespace: %s\n", $0) | "cat 1>&2";
}

/^$/ {
    blankcount += 1;
    next;
}

/./ {
    for (i = 0; i < blankcount; ++i) {
        printf("\n");
    }
    blankcount = 0;
}

/.*/ {
    gsub(/\s*$/, "");
    # Only match a single backslash preceeded by whitespace so not to clobber
    # TeX and other files.
    if ($0 ~ /\s+\\$/) {
        gsub(/\s*\\$/, "");
        if ($0 ~ /^\t/) {
            # Tabs are evil but make files need them.  This width is fine for
            # my editor.
            printf("%-70s \\\n", $0);
        } else {
            printf("%-77s \\\n", $0);
        }
    } else {
        printf("%s\n", $0);
    }
}
